# this is the upstream version, used for the tarball
%define fversion	7.0.8

Name:		unrar
# this is the version which is returned by unrar binary, used as real version
Version:	7.01
Release:	%mkrel 1
Summary:	Decompressor for .rar format archives
License:	Freeware
Group:		Archiving/Compression
Url:		https://www.rarlab.com/rar_add.htm
Source0:	https://www.rarlab.com/rar/%{name}src-%fversion.tar.gz
Patch13:	0013-Avoid-internal-compiler-error-on-i386.patch

%description
The unrar program is used to uncompress .rar format archives, which were
somewhat popular on DOS based machines.

%prep
%autosetup -p1 -n %{name}

%build
make CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags} -pthread" STRIP=true

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}

# safety check against submission with a wrong version, fails if the version
# returned by unrar binary is not the same as %%version
./unrar | grep -q "UNRAR %{version}"

%files
%doc license.txt readme.txt
%{_bindir}/%{name}


%changelog
* Fri Apr 26 2024 daviddavid <daviddavid> 7.01-1.mga10
+ Revision: 2061179
- new version: 7.0.8 (real 7.01)

* Tue Mar 05 2024 daviddavid <daviddavid> 7.00-4.mga10.nonfree
+ Revision: 2047585
- new version: 7.0.7

* Tue Jan 09 2024 daviddavid <daviddavid> 7.00-3.mga10.nonfree
+ Revision: 2029239
- new version: 7.0.5

* Sun Dec 03 2023 daviddavid <daviddavid> 7.00-2.mga10.nonfree
+ Revision: 2012810
- new version: 7.0.4

* Tue Oct 31 2023 daviddavid <daviddavid> 7.00-1.mga10.nonfree
+ Revision: 2003022
- new version: 7.0.2 (real 7.00)

* Tue Aug 29 2023 ns80 <ns80> 6.23-1.mga10.nonfree
+ Revision: 1980897
- new version: 6.2.10 (real 6.23) for CVE-2023-40477 (mga#32205)

* Mon Feb 20 2023 daviddavid <daviddavid> 6.21-1.mga9.nonfree
+ Revision: 1944419
- new version: 6.2.6 (real 6.21)

* Mon Jan 23 2023 daviddavid <daviddavid> 6.20-3.mga9.nonfree
+ Revision: 1935473
- new version: 6.2.4

* Sun Dec 18 2022 daviddavid <daviddavid> 6.20-2.mga9.nonfree
+ Revision: 1925172
- new version: 6.2.3

* Tue Nov 15 2022 daviddavid <daviddavid> 6.20-1.mga9.nonfree
+ Revision: 1907730
- new version: 6.2.2 (real 6.20)

* Fri May 20 2022 ns80 <ns80> 6.12-1.mga9.nonfree
+ Revision: 1859418
- new version 6.1.7 (real 6.12) for CVE-2022-30333 (mga#30453)

* Fri Apr 15 2022 umeabot <umeabot> 6.02-2.mga9.nonfree
+ Revision: 1850568
- Mageia 9 Mass Rebuild

* Tue May 18 2021 daviddavid <daviddavid> 6.02-1.mga9.nonfree
+ Revision: 1725328
- new version: 6.0.6 (real 6.02)

* Tue Apr 13 2021 daviddavid <daviddavid> 6.01-2.mga9.nonfree
+ Revision: 1715661
- new version: 6.0.5

* Mon Mar 08 2021 daviddavid <daviddavid> 6.01-1.mga9.nonfree
+ Revision: 1700713
- new version: 6.0.4 (real 6.01)

* Wed Dec 09 2020 daviddavid <daviddavid> 6.00-3.mga8.nonfree
+ Revision: 1654815
- new version: 6.0.3

* Mon Nov 16 2020 daviddavid <daviddavid> 6.00-2.mga8.nonfree
+ Revision: 1646471
- new version: 6.0.2

* Fri Oct 23 2020 daviddavid <daviddavid> 6.00-1.mga8.nonfree
+ Revision: 1638688
- new version: 6.0.1 (real 6.00)

* Wed Jul 01 2020 daviddavid <daviddavid> 5.91-2.mga8.nonfree
+ Revision: 1600862
- new version: 5.9.4

* Fri Jun 05 2020 daviddavid <daviddavid> 5.91-1.mga8.nonfree
+ Revision: 1590501
- new version: 5.9.3 (real 5.91)

* Tue Mar 31 2020 daviddavid <daviddavid> 5.90-3.mga8.nonfree
+ Revision: 1562507
- new version: 5.9.2

* Fri Feb 21 2020 umeabot <umeabot> 5.90-2.mga8.nonfree
+ Revision: 1548839
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.90-1.mga8.nonfree
+ Revision: 1485496
- new version: 5.9.1 (real 5.90)

* Mon Nov 18 2019 daviddavid <daviddavid> 5.80-4.mga8.nonfree
+ Revision: 1461608
- new version: 5.8.4

* Mon Oct 21 2019 daviddavid <daviddavid> 5.80-3.mga8.nonfree
+ Revision: 1454840
- new version: 5.8.3

* Fri Sep 27 2019 daviddavid <daviddavid> 5.80-2.mga8.nonfree
+ Revision: 1446933
- new version: 5.8.2

* Sat Aug 31 2019 daviddavid <daviddavid> 5.80-1.mga8.nonfree
+ Revision: 1435821
- new version: 5.8.1 (real 5.80)

* Wed May 01 2019 daviddavid <daviddavid> 5.71-2.mga7.nonfree
+ Revision: 1395975
- new version: 5.7.5

* Wed Apr 03 2019 daviddavid <daviddavid> 5.71-1.mga7.nonfree
+ Revision: 1385507
- new version: 5.7.4 (real 5.71)

* Wed Feb 27 2019 daviddavid <daviddavid> 5.70-3.mga7.nonfree
+ Revision: 1370322
- new version: 5.7.3

* Fri Feb 22 2019 daviddavid <daviddavid> 5.70-2.mga7.nonfree
+ Revision: 1369269
- new version: 5.7.2

* Tue Jan 29 2019 daviddavid <daviddavid> 5.70-1.mga7.nonfree
+ Revision: 1361790
- new version: 5.7.1 (5.70)

* Fri Sep 21 2018 umeabot <umeabot> 5.50-2.mga7.nonfree
+ Revision: 1291984
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 neoclust <neoclust> 5.50-1.mga7.nonfree
+ Revision: 1142452
- unrar is now a stable release

* Sat Aug 19 2017 neoclust <neoclust> 5.50-0.beta4.3.mga7.nonfree
+ Revision: 1141795
- New version 5.5.8

* Sat Aug 19 2017 neoclust <neoclust> 5.50-0.beta4.2.mga7.nonfree
+ Revision: 1141762
- New version 5.5.7 (mga#21563)

* Wed Jun 21 2017 gw666 <gw666> 5.50-0.beta4.1.mga6.nonfree
+ Revision: 1108040
- new version 5.50 beta4

* Fri Feb 26 2016 gw666 <gw666> 5.31-1.mga6.nonfree
+ Revision: 979438
- new version 5.31

* Mon Feb 01 2016 gw666 <gw666> 5.30-1.mga6.nonfree
+ Revision: 929993
- new version 5.30

* Thu Apr 09 2015 gw666 <gw666> 5.21-1.mga6.nonfree
+ Revision: 819950
- update source to 5.2.7
- new version
- new version

* Wed Oct 15 2014 umeabot <umeabot> 5.10-3.mga5.nonfree
+ Revision: 741804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.10-2.mga5.nonfree
+ Revision: 690060
- Mageia 5 Mass Rebuild

* Mon Jul 14 2014 gw666 <gw666> 5.10-1.mga5.nonfree
+ Revision: 651823
- new version 5.10

* Wed Feb 12 2014 gw666 <gw666> 5.01-1.mga5.nonfree
+ Revision: 589662
- new version
- fix build

* Thu Oct 31 2013 tmb <tmb> 4.20-3.mga4.nonfree
+ Revision: 548528
- Mageia 4 rebuild
+ dams <dams>
- clean specfile

* Mon Jan 14 2013 umeabot <umeabot> 4.20-2.mga3.nonfree
+ Revision: 385075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 fwang <fwang> 4.20-1.mga3.nonfree
+ Revision: 317579
- new version 4.20

* Wed Mar 14 2012 wally <wally> 4.10-2.mga2.nonfree
+ Revision: 223410
- rebuild for missing i586 pkg
+ doktor5000 <doktor5000>
- added comments on the purpose of the two versions
- added safety check against submission with wrong version

* Tue Feb 07 2012 doktor5000 <doktor5000> 4.10-1.mga2.nonfree
+ Revision: 205912
- new version 4.1.4 aka 4.10
- remove useless duplicate definitions for summary, version and release
- remove obsolete %%clean section and empty %%defattr

* Wed Apr 13 2011 ahmad <ahmad> 4.00-1.mga1
+ Revision: 84442
- update to 4.00

* Sat Feb 19 2011 ahmad <ahmad> 3.93-1.mga1
+ Revision: 54442
- imported package unrar


* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 3.93-1mdv2011.0
+ Revision: 550262
- new version

* Mon Dec 21 2009 Funda Wang <fwang@mandriva.org> 3.91-1mdv2010.1
+ Revision: 480547
- new version 3.91

* Thu Aug 20 2009 Götz Waschk <waschk@mandriva.org> 3.90-2mdv2010.0
+ Revision: 418576
- rebuild for broken build system

* Thu Aug 20 2009 Götz Waschk <waschk@mandriva.org> 3.90-1mdv2010.0
+ Revision: 418546
- new version

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 3.90-0.beta4.1mdv2010.0
+ Revision: 395466
- new version

* Sat Jun 20 2009 Götz Waschk <waschk@mandriva.org> 3.90-0.beta3.1mdv2010.0
+ Revision: 387518
- new version

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 3.90-0.beta2.1mdv2010.0
+ Revision: 383871
- new version

* Thu May 07 2009 Götz Waschk <waschk@mandriva.org> 3.90-0.beta1.1mdv2010.0
+ Revision: 372937
- new version

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.80-2mdv2009.1
+ Revision: 337120
- keep bash completion in its own package

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 3.80-1mdv2009.1
+ Revision: 326892
- new version

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 3.80-0.beta4.1mdv2009.1
+ Revision: 292676
- 3.8.4
- New version 3.8 beta3

* Wed Jun 25 2008 Funda Wang <fwang@mandriva.org> 3.80-0.beta2.1mdv2009.0
+ Revision: 228841
- New version 3.80 beta 2

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 3.80-0.beta1.1mdv2009.0
+ Revision: 217391
- new version

  + Funda Wang <fwang@mandriva.org>
    - Revert to actual version of program
    - fix real version

* Fri Feb 01 2008 Anssi Hannula <anssi@mandriva.org> 3.71-0.beta1.2mdv2008.1
+ Revision: 161265
- move to Mandriva non-free from PLF (license is no longer unclear,
  it now allows redistribution explicitely)
- drop pre-MDK10.0 support
- fix license tag capitalization
- import unrar


* Wed Dec 12 2007 Götz Waschk <goetz@zarb.org> 3.71-0.beta1.1plf2008.1
- new version

* Tue Nov  6 2007 Götz Waschk <goetz@zarb.org> 3.70-1plf2008.1
- new version

* Mon Apr 16 2007 Götz Waschk <goetz@zarb.org> 3.70-0.beta7.1plf2007.1
- new version

* Tue Mar  6 2007 Götz Waschk <goetz@zarb.org> 3.70-0.beta4.1plf2007.1
- new version

* Tue Feb  6 2007 Götz Waschk <goetz@zarb.org> 3.70-0.beta3.1plf2007.1
- drop patch
- new version

* Wed Jan 24 2007 Götz Waschk <goetz@zarb.org> 3.70-0.beta1.1plf2007.1
- don't strip the binary at build stage
- new version

* Thu Nov  2 2006 Götz Waschk <goetz@zarb.org> 3.60-1plf2007.1
- update description
- new version

* Mon Jul 24 2006 Götz Waschk <goetz@zarb.org> 3.60-0.beta7.1plf2007.0
- new version

* Wed Jun 28 2006 Götz Waschk <goetz@zarb.org> 3.60-0.beta5.1plf2007.0
- new version

* Tue Oct 11 2005 Götz Waschk <goetz@zarb.org> 3.51-1plf
- new version

* Tue Aug  9 2005 Götz Waschk <goetz@zarb.org> 3.50-1plf
- new version

* Tue Apr 19 2005 Götz Waschk <goetz@zarb.org> 3.50-0.beta1.1plf
- mkrel
- new version

* Mon Sep 20 2004 Götz Waschk <goetz@zarb.org> 3.40-1plf
- fix description
- new version

* Sun Jun  6 2004 Götz Waschk <goetz@plf.zarb.org> 3.30-2plf
- rebuild for new g++

* Wed Apr 21 2004 Götz Waschk <goetz@plf.zarb.org> 3.30-1plf
- new version

* Tue Dec 30 2003 Götz Waschk <goetz@plf.zarb.org> 3.20-2plf
- add unrar bash-completion for Cooker builds

* Fri Jun 20 2003 Götz Waschk <goetz@plf.zarb.org> 3.20-1plf
- small build patch for gcc 3.3
- new version

* Sun Mar 30 2003 Götz Waschk <goetz@plf.zarb.org> 3.20-0.beta2.1plf
- arrgh, the displayed version is 3.20 beta 2

* Sat Mar 29 2003 Götz Waschk <goetz@plf.zarb.org> 3.2.0-0.beta2.1plf
- new version

* Fri Feb 14 2003 Götz Waschk <goetz@plf.zarb.org> 3.10-2plf
- use default optimization flags (Francisco Javier Felix)

* Wed Jan  8 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 3.10-1plf


* Tue Dec  3 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 3.10-0.beta3.1plf
- 3.10 beta 3

* Tue Oct 22 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 3.10-0.beta1.1plf
- fix url
- add some docs
- drop patch
- quiet tar
- set version to 3.10 beta 1, that's the output of the program
- new version

* Mon Aug 26 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 3.0-1plf 
- first PLF release, with patch from Pascal Terjan <pascal.terjan@free.fr>

